Overview | Package | Class | Tree | Deprecated | Index | Help
| oracle eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.oracleadapter
Class OracleCallableStatementResultSet

    java.lang.Object
      com.stc.connector.oracleadapter.base.ResultSetAgentImpl
          com.stc.connector.oracleadapter.OracleCallableStatementResultSet

All Implemented Interfaces:
  com.stc.connector.appconn.db.ResultSetAgent, com.stc.connector.db.StatementEventListener

    public class OracleCallableStatementResultSet

extends ResultSetAgentImpl

Result Set to map Oracle Procedure parameters of type REF CURSOR.

Author:
  abeym

Field Summary

Fields inherited from class com.stc.connector.oracleadapter.base.ResultSetAgentImpl
`concurrencyType, fetchDirection, resultSet, resultSetType, rsmd, session, sName, sqlException`

Constructor Summary
`OracleCallableStatementResultSet(com.stc.connector.db.Session session, com.stc.connector.appconn.db.StatementAgent stmtAgent, java.sql.ResultSet resultset)` Creates a new instance of OracleCallableStatementResultSet

Method Summary
`boolean` | `available()`
`boolean` | `next()` Moves the cursor to the next row of the result set.

Methods inherited from class com.stc.connector.oracleadapter.base.ResultSetAgentImpl
`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getShort, getShort, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getWarnings, insertRow, isAfterLast, isBeforeFirst, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, previous, queryName, refreshRow, relative, resultSetOpen, resultSetToBeOpened, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, statementClose, statementReset, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRow, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleCallableStatementResultSet

    public OracleCallableStatementResultSet(com.stc.connector.db.Session session,
                                            com.stc.connector.appconn.db.StatementAgent stmtAgent,
                                            java.sql.ResultSet resultset)

  Creates a new instance of OracleCallableStatementResultSet

Method Detail

### available

    public boolean available()

### next

    public boolean next()
                 throws java.sql.SQLException

  Moves the cursor to the next row of the result set.

  Specified by:
    `next` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Overrides:
    `next` in class `ResultSetAgentImpl`
  Returns:
    true if successful; false if there is no more row.
  Throws:
    `SQLException` - when SQL problems occur.

Overview | Package | Class | Tree | Deprecated | Index | Help
| oracle eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD